xine-lib: slice_header Struct Reference

xine-lib 1.2.12

Data Fields
slice_header Struct Reference

## Data Fields
uint32_t | first_mb_in_slice
uint32_t | slice_type
uint32_t | pic_parameter_set_id
uint8_t | colour_plane_id
uint32_t | frame_num
uint8_t | field_pic_flag
uint8_t | bottom_field_flag
uint32_t | idr_pic_id
uint32_t | pic_order_cnt_lsb
int32_t | delta_pic_order_cnt_bottom
int32_t | delta_pic_order_cnt [2]
int32_t | redundant_pic_cnt
uint8_t | direct_spatial_mv_pred_flag
uint8_t | num_ref_idx_active_override_flag
uint32_t | num_ref_idx_l0_active_minus1
uint32_t | num_ref_idx_l1_active_minus1
struct {
uint8_t ref_pic_list_reordering_flag_l0
uint8_t ref_pic_list_reordering_flag_l1
uint32_t reordering_of_pic_nums_idc
uint32_t abs_diff_pic_num_minus1
uint32_t long_term_pic_num
} | ref_pic_list_reordering
struct {
uint32_t luma_log2_weight_denom
uint32_t chroma_log2_weight_denom
int32_t luma_weight_l0 [32]
int32_t luma_offset_l0 [32]
int32_t chroma_weight_l0 [32][2]
int32_t chroma_offset_l0 [32][2]
int32_t luma_weight_l1 [32]
int32_t luma_offset_l1 [32]
int32_t chroma_weight_l1 [32][2]
int32_t chroma_offset_l1 [32][2]
} | pred_weight_table
struct {
uint8_t no_output_of_prior_pics_flag
uint8_t long_term_reference_flag
uint8_t adaptive_ref_pic_marking_mode_flag
uint32_t memory_management_control_operation
uint32_t difference_of_pic_nums_minus1
uint32_t long_term_pic_num
uint32_t long_term_frame_idx
uint32_t max_long_term_frame_idx_plus1
} | dec_ref_pic_marking [10]
uint32_t | dec_ref_pic_marking_count

## Field Documentation

## ◆ abs_diff_pic_num_minus1

uint32_t slice_header::abs_diff_pic_num_minus1

Referenced by parse_ref_pic_list_reordering().

## ◆ adaptive_ref_pic_marking_mode_flag

uint8_t slice_header::adaptive_ref_pic_marking_mode_flag

Referenced by parse_dec_ref_pic_marking().

## ◆ bottom_field_flag

uint8_t slice_header::bottom_field_flag

Referenced by calculate_pic_nums(), calculate_pic_order(), decoded_pic_check_reference(), dp_top_field_first(), execute_ref_pic_marking(), fill_vdpau_pictureinfo_h264(), parse_nal(), and parse_slice_header().

## ◆ chroma_log2_weight_denom

uint32_t slice_header::chroma_log2_weight_denom

Referenced by parse_pred_weight_table().

## ◆ chroma_offset_l0

int32_t slice_header::chroma_offset_l0[32][2]

Referenced by parse_pred_weight_table().

## ◆ chroma_offset_l1

int32_t slice_header::chroma_offset_l1[32][2]

Referenced by parse_pred_weight_table().

## ◆ chroma_weight_l0

int32_t slice_header::chroma_weight_l0[32][2]

Referenced by parse_pred_weight_table().

## ◆ chroma_weight_l1

int32_t slice_header::chroma_weight_l1[32][2]

Referenced by parse_pred_weight_table().

## ◆ colour_plane_id

uint8_t slice_header::colour_plane_id

Referenced by parse_slice_header().

## ◆

struct { ... } slice_header::dec_ref_pic_marking[10]

Referenced by execute_ref_pic_marking(), parse_dec_ref_pic_marking(), and process_mmc_operations().

## ◆ dec_ref_pic_marking_count

uint32_t slice_header::dec_ref_pic_marking_count

Referenced by parse_dec_ref_pic_marking(), and parse_slice_header().

## ◆ delta_pic_order_cnt

int32_t slice_header::delta_pic_order_cnt[2]

Referenced by parse_nal(), and parse_slice_header().

## ◆ delta_pic_order_cnt_bottom

int32_t slice_header::delta_pic_order_cnt_bottom

Referenced by calculate_pic_order(), check_progressive(), parse_nal(), and parse_slice_header().

## ◆ difference_of_pic_nums_minus1

uint32_t slice_header::difference_of_pic_nums_minus1

Referenced by execute_ref_pic_marking(), and parse_dec_ref_pic_marking().

## ◆ direct_spatial_mv_pred_flag

uint8_t slice_header::direct_spatial_mv_pred_flag

Referenced by parse_slice_header().

## ◆ field_pic_flag

uint8_t slice_header::field_pic_flag

Referenced by calculate_pic_nums(), calculate_pic_order(), check_progressive(), decoded_pic_check_reference(), execute_ref_pic_marking(), fill_vdpau_pictureinfo_h264(), interpret_sps(), parse_nal(), parse_slice_header(), and vdpau_decoder_render().

## ◆ first_mb_in_slice

uint32_t slice_header::first_mb_in_slice

Referenced by parse_slice_header().

## ◆ frame_num

uint32_t slice_header::frame_num

Referenced by calculate_pic_nums(), calculate_pic_order(), fill_vdpau_pictureinfo_h264(), fill_vdpau_reference_list(), interpret_sps(), parse_nal(), and parse_slice_header().

## ◆ idr_pic_id

uint32_t slice_header::idr_pic_id

Referenced by parse_nal(), and parse_slice_header().

## ◆ long_term_frame_idx

uint32_t slice_header::long_term_frame_idx

Referenced by execute_ref_pic_marking(), and parse_dec_ref_pic_marking().

## ◆ long_term_pic_num

uint32_t slice_header::long_term_pic_num

Referenced by execute_ref_pic_marking(), parse_dec_ref_pic_marking(), and parse_ref_pic_list_reordering().

## ◆ long_term_reference_flag

uint8_t slice_header::long_term_reference_flag

Referenced by execute_ref_pic_marking(), and parse_dec_ref_pic_marking().

## ◆ luma_log2_weight_denom

uint32_t slice_header::luma_log2_weight_denom

Referenced by parse_pred_weight_table().

## ◆ luma_offset_l0

int32_t slice_header::luma_offset_l0[32]

Referenced by parse_pred_weight_table().

## ◆ luma_offset_l1

int32_t slice_header::luma_offset_l1[32]

Referenced by parse_pred_weight_table().

## ◆ luma_weight_l0

int32_t slice_header::luma_weight_l0[32]

Referenced by parse_pred_weight_table().

## ◆ luma_weight_l1

int32_t slice_header::luma_weight_l1[32]

Referenced by parse_pred_weight_table().

## ◆ max_long_term_frame_idx_plus1

uint32_t slice_header::max_long_term_frame_idx_plus1

Referenced by execute_ref_pic_marking(), and parse_dec_ref_pic_marking().

## ◆ memory_management_control_operation

uint32_t slice_header::memory_management_control_operation

Referenced by parse_dec_ref_pic_marking().

## ◆ no_output_of_prior_pics_flag

uint8_t slice_header::no_output_of_prior_pics_flag

Referenced by parse_dec_ref_pic_marking().

## ◆ num_ref_idx_active_override_flag

uint8_t slice_header::num_ref_idx_active_override_flag

Referenced by parse_slice_header().

## ◆ num_ref_idx_l0_active_minus1

uint32_t slice_header::num_ref_idx_l0_active_minus1

Referenced by parse_pred_weight_table(), and parse_slice_header().

## ◆ num_ref_idx_l1_active_minus1

uint32_t slice_header::num_ref_idx_l1_active_minus1

Referenced by parse_pred_weight_table(), and parse_slice_header().

## ◆ pic_order_cnt_lsb

uint32_t slice_header::pic_order_cnt_lsb

Referenced by calculate_pic_order(), parse_nal(), parse_slice_header(), and process_mmc_operations().

## ◆ pic_parameter_set_id

uint32_t slice_header::pic_parameter_set_id

Referenced by calculate_pic_order(), interpret_slice_header(), parse_nal(), parse_pred_weight_table(), and parse_slice_header().

## ◆

struct { ... } slice_header::pred_weight_table

Referenced by parse_pred_weight_table().

## ◆ redundant_pic_cnt

int32_t slice_header::redundant_pic_cnt

Referenced by parse_slice_header().

## ◆

struct { ... } slice_header::ref_pic_list_reordering

Referenced by parse_ref_pic_list_reordering().

## ◆ ref_pic_list_reordering_flag_l0

uint8_t slice_header::ref_pic_list_reordering_flag_l0

Referenced by parse_ref_pic_list_reordering().

## ◆ ref_pic_list_reordering_flag_l1

uint8_t slice_header::ref_pic_list_reordering_flag_l1

Referenced by parse_ref_pic_list_reordering().

## ◆ reordering_of_pic_nums_idc

uint32_t slice_header::reordering_of_pic_nums_idc

Referenced by parse_ref_pic_list_reordering().

## ◆ slice_type

uint32_t slice_header::slice_type

Referenced by parse_pred_weight_table(), parse_ref_pic_list_reordering(), and parse_slice_header().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_h264.c